# 获取订单

检索指定的订单。

Endpoint: GET /v2/project/{project_id}/distribution_hub/order/{order_id}
Version: 1.0.0
Security: AuthForClient

## Path parameters:

  - `project_id` (integer, required)
    项目ID。
    Example: 44056

  - `order_id` (string, required)
    订单ID。
    Example: "656"

## Response 200 fields (application/json):

  - `content` (object)
    订单详细信息。

  - `content.is_free` (string)
    如果为true，则订单是免费的。
    Example: "false"

  - `content.items` (array)
    商品清单。
    Example: [{"is_free":false,"price":{"amount":"30","amount_without_discount":"30","currency":"USD"},"quantity":1,"sku":"some_sku"}]

  - `content.items.is_free` (string)
    如果为true，则该商品为免费。
    Example: "false"

  - `content.items.price` (object)
    商品价格。

  - `content.items.price.amount` (string)
    折扣后的商品价格。
    Example: "30"

  - `content.items.price.amount_without_discount` (string)
    商品价格。
    Example: "30"

  - `content.items.price.currency` (string)
    默认购买货币。符合[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)的三字母代码。
    Example: "USD"

  - `content.items.quantity` (integer)
    商品数量。
    Example: 1

  - `content.items.sku` (string)
    唯一商品ID。 SKU只能包含小写英文字母和数字字符、句点、破折号和下划线。
    Example: "some_sku"

  - `content.price` (object)
    订单价格。

  - `content.price.amount` (string)
    订单折扣价。
    Example: "30"

  - `content.price.amount_without_discount` (string)
    订单价格。
    Example: "30"

  - `content.price.currency` (string)
    默认购买货币。符合[ISO 4217](https://en.wikipedia.org/wiki/ISO_4217)的三字母代码。
    Example: "USD"

  - `content.virtual_price` (object)
    以虚拟货币表示的订单价格。

  - `content.virtual_price.amount` (string)
    订单折扣价。
    Example: "100"

  - `content.virtual_price.amount_without_discount` (string)
    订单价格。
    Example: "150"

  - `content.virtual_price.currency` (string)
    订单中使用的虚拟货币SKU。
    Example: "test_vc"

  - `order_id` (integer)
    订单ID。
    Example: 1

  - `status` (string)
    订单状态：new/paid/done/canceled。
    Example: "paid"

## Response 404 fields (application/json):

  - `errorCode` (integer)
    Example: 9001

  - `errorMessage` (string)
    Example: "[0401-9001]: Order not found"

  - `statusCode` (integer)
    Example: 404


